javax.xml.registry

## Interface BusinessLifeCycleManager

- All Superinterfaces:
    LifeCycleManager

      public interface BusinessLifeCycleManager
      extends LifeCycleManager

  The BusinessLifeCycleManager interface, which is exposed by the Registry Service, implements the life cycle management functionality of the Registry as part of a business level API. Note that there is no authentication information provided, because the Connection interface keeps that state and context on behalf of the client.
  Author:
    Farrukh S. Najmi
  See Also:
    `LifeCycleManager`

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.registry.LifeCycleManager

      `ASSOCIATION, AUDITABLE_EVENT, CLASSIFICATION, CLASSIFICATION_SCHEME, CONCEPT, EMAIL_ADDRESS, EXTERNAL_IDENTIFIER, EXTERNAL_LINK, EXTRINSIC_OBJECT, INTERNATIONAL_STRING, KEY, LOCALIZED_STRING, ORGANIZATION, PERSON_NAME, POSTAL_ADDRESS, REGISTRY_ENTRY, REGISTRY_PACKAGE, SERVICE, SERVICE_BINDING, SLOT, SPECIFICATION_LINK, TELEPHONE_NUMBER, USER, VERSIONABLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `confirmAssociation(Association assoc)` Confirms this Association by the User associated with the caller.
    `BulkResponse` | `deleteAssociations(Collection associationKeys)` Deletes the Associations corresponding to the specified Keys.
    `BulkResponse` | `deleteClassificationSchemes(Collection schemeKeys)` Deletes the ClassificationSchemes corresponding to the specified Keys.
    `BulkResponse` | `deleteConcepts(Collection conceptKeys)` Deletes the Concepts corresponding to the specified Keys.
    `BulkResponse` | `deleteOrganizations(Collection organizationKeys)` Deletes the organizations corresponding to the specified Keys.
    `BulkResponse` | `deleteServiceBindings(Collection bindingKeys)` Deletes the ServiceBindings corresponding to the specified Keys.
    `BulkResponse` | `deleteServices(Collection serviceKeys)` Deletes the services corresponding to the specified Keys.
    `BulkResponse` | `saveAssociations(Collection associations, boolean replace)` Saves the specified Association instances.
    `BulkResponse` | `saveClassificationSchemes(Collection schemes)` Saves the specified ClassificationScheme instances.
    `BulkResponse` | `saveConcepts(Collection concepts)` Saves the specified Concepts.
    `BulkResponse` | `saveOrganizations(Collection organizations)` Saves the specified Organizations.
    `BulkResponse` | `saveServiceBindings(Collection bindings)` Saves the specified ServiceBindings.
    `BulkResponse` | `saveServices(Collection services)` Saves the specified Services.
    `void` | `unConfirmAssociation(Association assoc)` Undoes a previous confirmation of this Association by the User associated with the caller.

    - ### Methods inherited from interface javax.xml.registry.LifeCycleManager

      `createAssociation, createClassification, createClassification, createClassification, createClassificationScheme, createClassificationScheme, createClassificationScheme, createConcept, createConcept, createEmailAddress, createEmailAddress, createExternalIdentifier, createExternalIdentifier, createExternalLink, createExternalLink, createExtrinsicObject, createInternationalString, createInternationalString, createInternationalString, createKey, createLocalizedString, createLocalizedString, createObject, createOrganization, createOrganization, createPersonName, createPersonName, createPostalAddress, createRegistryPackage, createRegistryPackage, createService, createService, createServiceBinding, createSlot, createSlot, createSpecificationLink, createTelephoneNumber, createUser, deleteObjects, deleteObjects, deprecateObjects, getRegistryService, saveObjects, unDeprecateObjects`

- - ### Method Detail

    - #### saveOrganizations

          BulkResponse saveOrganizations(Collection organizations)
                                         throws JAXRException

      Saves the specified Organizations.

      If the object is not in the registry, it is created in the registry. If it already exists in the registry and has been modified, its state is updated (replaced) in the registry.

      Partial commits are allowed. Processing stops on first SaveException encountered.

      Capability Level: 0
      Parameters:
        `organizations` - the Collection of Organization objects to be saved
      Returns:
        a BulkResponse containing the Collection of keys for those objects that were saved successfully and any SaveException that was encountered in case of partial commit
      Throws:
        `JAXRException` - if the JAXR provider encounters an internal error

    - #### saveServices

          BulkResponse saveServices(Collection services)
                                    throws JAXRException

      Saves the specified Services.

      If the object is not in the registry, it is created in the registry. If it already exists in the registry and has been modified, its state is updated (replaced) in the registry.

      Partial commits are allowed. Processing stops on first SaveException encountered.

      Capability Level: 0
      Parameters:
        `services` - the Collection of Service objects to be saved
      Returns:
        a BulkResponse containing the Collection of keys for those objects that were saved successfully and any SaveException that was encountered in case of partial commit
      Throws:
        `JAXRException` - if the JAXR provider encounters an internal error

    - #### saveServiceBindings

          BulkResponse saveServiceBindings(Collection bindings)
                                           throws JAXRException

      Saves the specified ServiceBindings.

      If the object is not in the registry, it is created in the registry. If it already exists in the registry and has been modified, its state is updated (replaced) in the registry.

      Partial commits are allowed. Processing stops on first SaveException encountered.

      Capability Level: 0
      Parameters:
        `bindings` - the Collection of ServiceBinding objects to be saved
      Returns:
        a BulkResponse containing the Collection of keys for those objects that were saved successfully and any SaveException that was encountered in case of partial commit
      Throws:
        `JAXRException` - if the JAXR provider encounters an internal error

    - #### saveConcepts

          BulkResponse saveConcepts(Collection concepts)
                                    throws JAXRException

      Saves the specified Concepts.

      If the object is not in the registry, it is created in the registry. If it already exists in the registry and has been modified, its state is updated (replaced) in the registry.

      Partial commits are allowed. Processing stops on first SaveException encountered.

      Capability Level: 0
      Parameters:
        `concepts` - the Collection of Concept objects to be saved
      Returns:
        a BulkResponse containing the Collection of keys for those objects that were saved successfully and any SaveException that was encountered in case of partial commit
      Throws:
        `JAXRException` - if the JAXR provider encounters an internal error

    - #### saveClassificationSchemes

          BulkResponse saveClassificationSchemes(Collection schemes)
                                                 throws JAXRException

      Saves the specified ClassificationScheme instances.

      If the object is not in the registry, it is created in the registry. If it already exists in the registry and has been modified, its state is updated (replaced) in the registry.

      Partial commits are allowed. Processing stops on first SaveException encountered.

      Capability Level: 0
      Parameters:
        `schemes` - the Collection of ClassificationScheme objects to be saved
      Returns:
        a BulkResponse containing the Collection of keys for those objects that were saved successfully and any SaveException that was encountered in case of partial commit
      Throws:
        `JAXRException` - if the JAXR provider encounters an internal error

    - #### saveAssociations

          BulkResponse saveAssociations(Collection associations,
                                      boolean replace)
                                        throws JAXRException

      Saves the specified Association instances.

      If the object is not in the registry, it is created in the registry. If it already exists in the registry and has been modified, its state is updated (replaced) in the registry.

      Partial commits are allowed. Processing stops on first SaveException encountered.

      Capability Level: 0
      Parameters:
        `associations` - the Collection of Association objects to be saved
        `replace` - If set to true, the specified associations replace any existing associations owned by the caller. If set to false, the specified associations are saved, while any existing associations not being updated by this call are preserved.
      Returns:
        a BulkResponse containing the Collection of keys for those objects that were saved successfully and any SaveException that was encountered in case of partial commit
      Throws:
        `JAXRException` - if the JAXR provider encounters an internal error

    - #### deleteOrganizations

          BulkResponse deleteOrganizations(Collection organizationKeys)
                                           throws JAXRException

      Deletes the organizations corresponding to the specified Keys.

      Partial commits are allowed. Processing stops on first DeleteException encountered.

      Capability Level: 0
      Parameters:
        `organizationKeys` - the Collection of keys for the Organization objects to be deleted
      Returns:
        a BulkResponse containing the Collection of keys for those objects that were deleted successfully and any DeleteException that was encountered in case of partial commit
      Throws:
        `JAXRException` - if the JAXR provider encounters an internal error

    - #### deleteServices

          BulkResponse deleteServices(Collection serviceKeys)
                                      throws JAXRException

      Deletes the services corresponding to the specified Keys.

      Partial commits are allowed. Processing stops on first DeleteException encountered.

      Capability Level: 0
      Parameters:
        `serviceKeys` - the Collection of keys for the Service objects to be deleted
      Returns:
        a BulkResponse containing the Collection of keys for those objects that were deleted successfully and any DeleteException that was encountered in case of partial commit
      Throws:
        `JAXRException` - if the JAXR provider encounters an internal error

    - #### deleteServiceBindings

          BulkResponse deleteServiceBindings(Collection bindingKeys)
                                             throws JAXRException

      Deletes the ServiceBindings corresponding to the specified Keys.

      Partial commits are allowed. Processing stops on first DeleteException encountered.

      Capability Level: 0
      Parameters:
        `bindingKeys` - the Collection of keys for the ServiceBinding objects to be deleted
      Returns:
        a BulkResponse containing the Collection of keys for those objects that were deleted successfully and any DeleteException that was encountered in case of partial commit
      Throws:
        `JAXRException` - if the JAXR provider encounters an internal error

    - #### deleteConcepts

          BulkResponse deleteConcepts(Collection conceptKeys)
                                      throws JAXRException

      Deletes the Concepts corresponding to the specified Keys.

      Partial commits are allowed. Processing stops on first DeleteException encountered.

      Capability Level: 0
      Parameters:
        `conceptKeys` - the Collection of keys for the Concept objects to be deleted
      Returns:
        a BulkResponse containing the Collection of keys for those objects that were deleted successfully and any DeleteException that was encountered in case of partial commit
      Throws:
        `JAXRException` - if the JAXR provider encounters an internal error

    - #### deleteClassificationSchemes

          BulkResponse deleteClassificationSchemes(Collection schemeKeys)
                                                   throws JAXRException

      Deletes the ClassificationSchemes corresponding to the specified Keys.

      Partial commits are allowed. Processing stops on first DeleteException encountered.

      Capability Level: 0
      Parameters:
        `schemeKeys` - the Collection of keys for the ClassificationScheme objects to be deleted
      Returns:
        a BulkResponse containing the Collection of keys for those objects that were deleted successfully and any DeleteException that was encountered in case of partial commit
      Throws:
        `JAXRException` - if the JAXR provider encounters an internal error

    - #### deleteAssociations

          BulkResponse deleteAssociations(Collection associationKeys)
                                          throws JAXRException

      Deletes the Associations corresponding to the specified Keys.

      Partial commits are allowed. Processing stops on first DeleteException encountered.

      Capability Level: 0
      Parameters:
        `associationKeys` - the Collection of keys for the Association objects to be deleted
      Returns:
        a BulkResponse containing the Collection of keys for those objects that were deleted successfully and any DeleteException that was encountered in case of partial commit
      Throws:
        `JAXRException` - if the JAXR provider encounters an internal error

    - #### confirmAssociation

          void confirmAssociation(Association assoc)
                                  throws JAXRException,
                                         InvalidRequestException

      Confirms this Association by the User associated with the caller. The User must be the owner of the sourceObject or the targetObject in this association.

      - If the Association is intramural, this method does nothing and returns.
      - If the Association is extramural and already confirmed (isConfirmed returns true), this method does nothing and returns.
      - If the Association is extramural and not already confirmed, this method confirms the association for the User associated with the caller.

      The details of confirming an extramural Association are registry-specific. For UDDI and ebXML registries, the registry-specific details are described in the JAXR specification.

      Capability Level: 0
      Parameters:
        `assoc` - the Association object to be confirmed
      Throws:
        `JAXRException` - if the JAXR provider encounters an internal error
        `InvalidRequestException` - if the User is not the owner of the sourceObject or the targetObject

    - #### unConfirmAssociation

          void unConfirmAssociation(Association assoc)
                                    throws JAXRException,
                                           InvalidRequestException

      Undoes a previous confirmation of this Association by the User associated with the caller. The User must be the owner of the sourceObject or the targetObject in this association.

      - If the Association is intramural, this method does nothing and returns.
      - If the Association is extramural and already confirmed (isConfirmed returns true), this method unconfirms it for the requestor.
      - If the Association is extramural and not already confirmed, this method does nothing and returns.

      The details of unconfirming an extramural Association are registry-specific. For UDDI and ebXML registries, the registry-specific details are described in the JAXR specification.

      Capability Level: 0
      Parameters:
        `assoc` - the Association object to be unconfirmed
      Throws:
        `JAXRException` - if the JAXR provider encounters an internal error
        `InvalidRequestException` - if the User is not the owner of the sourceObject or the targetObject

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.